ForkOptions (Gradle API 2.14.1)

org.gradle.api.tasks.compile

## Class ForkOptions

- java.lang.Object
- - org.gradle.api.tasks.compile.AbstractOptions
  - - org.gradle.api.tasks.compile.BaseForkOptions
    - - org.gradle.api.tasks.compile.ForkOptions

- All Implemented Interfaces:
    Serializable

      public class ForkOptions
      extends BaseForkOptions

  Fork options for Java compilation. Only take effect if `CompileOptions.fork` is `true`.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ForkOptions()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `excludeFromAntProperties(String fieldName)`
    `String` | `getExecutable()` Returns the compiler executable to be used.
    `String` | `getTempDir()` Returns the directory used for temporary files that may be created to pass command line arguments to the compiler process.
    `void` | `setExecutable(String executable)` Sets the compiler executable to be used.
    `void` | `setTempDir(String tempDir)` Sets the directory used for temporary files that may be created to pass command line arguments to the compiler process.

    - ### Methods inherited from class org.gradle.api.tasks.compile.BaseForkOptions

      `getJvmArgs, getMemoryInitialSize, getMemoryMaximumSize, setJvmArgs, setMemoryInitialSize, setMemoryMaximumSize`

    - ### Methods inherited from class org.gradle.api.tasks.compile.AbstractOptions

      `define, getAntPropertyName, getAntPropertyValue, optionMap`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ForkOptions

          public ForkOptions()

  - ### Method Detail

    - #### getExecutable

          @Input
          @Optional
          public String getExecutable()

      Returns the compiler executable to be used. If set, a new compiler process will be forked for every compile task. Defaults to `null`.

    - #### setExecutable

          public void setExecutable(String executable)

      Sets the compiler executable to be used. If set, a new compiler process will be forked for every compile task. Defaults to `null`.

    - #### getTempDir

          public String getTempDir()

      Returns the directory used for temporary files that may be created to pass command line arguments to the compiler process. Defaults to `null`, in which case the directory will be chosen automatically.

    - #### setTempDir

          public void setTempDir(String tempDir)

      Sets the directory used for temporary files that may be created to pass command line arguments to the compiler process. Defaults to `null`, in which case the directory will be chosen automatically.

    - #### excludeFromAntProperties

          protected boolean excludeFromAntProperties(String fieldName)

      Overrides:
        `excludeFromAntProperties` in class `BaseForkOptions`